Skip to main content
cancel
Showing results for 
Search instead for 
Did you mean: 

Earn a 50% discount on the DP-600 certification exam by completing the Fabric 30 Days to Learn It challenge.

Reply
jpf5046
Helper I
Helper I

Plot_ly is now (3/2017) on the list for R packages in Power BI - I cannot get it to work.

According to this post: https://powerbi.microsoft.com/en-us/documentation/powerbi-service-r-visuals/ there are several new packages that work in Power BI.  

 

 I loaded the iris dataset by using the R connection in Power BI then writing:

iris <- iris

 

ggplot iris power bi.PNG

 

ggplot works fine. 

 

 

plot_ly iris power bi.PNG

 

plot_ly does not.

 

 

I cannot get plot_ly to work. Has anyone had success with any of the new packages from the recent announcement? 

1 ACCEPTED SOLUTION

Hi @jpf5046,

 

No, they're going to announce this limitation of using plot_ly lib officially(as there is no such a article/blog that has announced it currently).Smiley Happy

 

Regards

View solution in original post

6 REPLIES 6
v-ljerr-msft
Employee
Employee

Hi @jpf5046,

 

Could you click the "See details" on the error visual to see the detailed error message, and post it here?Smiley Happy

 

Regards

@v-ljerr-msft 

 

Here is the error screen: 

 

error in power bi for R plot_ly.PNG

 

I can run this plot in Rstudio. The code it does result in a visual. 

Hi @jpf5046,

 

I have confirmed with Product Team that the ployly lib is supported as part of HTML support for R powered Custom Visuals only, not R Visuals in general currently. And they're going to announce this in a couple of weeks officially.Smiley Happy

 

Regards

They are going to announce that R Visuals will be able to handle plot_ly lib in a week or two? 

Hi @jpf5046,

 

No, they're going to announce this limitation of using plot_ly lib officially(as there is no such a article/blog that has announced it currently).Smiley Happy

 

Regards

This is related to this post here.

 

I cannot get the supported R packages to work. The list of supported packages is here

 

I can get ggplot to work:

 

ggplot iris power bi.PNG

 

I cannot get plot_ly to work:

 

plot_ly iris power bi.PNG

 

The time to take to run is the only possible explination -- The polt_ly code takes ~5 seconds on my desktop in Rstudio. 

 

 

 

Helpful resources

Announcements
RTI Forums Carousel3

New forum boards available in Real-Time Intelligence.

Ask questions in Eventhouse and KQL, Eventstream, and Reflex.

MayPowerBICarousel

Power BI Monthly Update - May 2024

Check out the May 2024 Power BI update to learn about new features.

LearnSurvey

Fabric certifications survey

Certification feedback opportunity for the community.